Skip to main content
`Ctrl`+`K`

# KSPResetFromOptions

Sets `KSP` parameters from user options ONLY if the `KSP` was previously set from options

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPResetFromOptions(KSP ksp)

Collective

## Input Parameter

- ksp - the `KSP` context

## See Also

KSP: Linear System Solvers, `KSPSetFromOptions()`, `KSPSetOptionsPrefix()`

## Level

advanced

## Location

src/ksp/ksp/interface/itcl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages